/////////////////////////////
// Loading

// var x = 32;
// var y = 80;

var Loading = {

	preload: function() {
		this.game.load.image('loadingbar', './image/phaser.png');
	},

	create: function() {
		// console.log('Loading');

		var userID = sessionStorage.getItem("UserID");
		console.log("userID : " + userID);

		this.game.stage.backgroundColor = '#4d4d4d';

		//	Progress report
    	this.textProgress = game.add.text(game.world.centerX, 100, '로딩중 . . .', textStyleBasic);
		this.textProgress.anchor.setTo(0.5, 0.4);
		this.textProgress.setShadow(3, 3, 'rgba(0, 0, 0, 0.5)', 2);

		// Preload bar
		this.preloadBar = this.add.sprite(game.world.centerX, game.world.centerY, 'loadingbar');
		this.preloadBar.anchor.setTo(0.5);
		this.preloadBar.alpha = 0;

		this.game.load.onFileComplete.add(this.fileComplete, this);
		this.game.load.onLoadComplete.add(this.loadComplete, this);

		this.startLoading();
	},

	startLoading: function() {
		// this.game.load.image('a', './image/phaser.png');
		// this.game.load.image('b', './image/phaser.png');
		// this.game.load.image('c', './image/phaser.png');
		// this.game.load.image('d', './image/phaser.png');
		// this.game.load.image('e', './image/phaser.png');
		// this.game.load.image('g', './image/phaser.png');
		// this.game.load.image('e', './image/phaser.png');
		// this.game.load.image('f', './image/phaser.png');
		// this.game.load.image('g', './image/phaser.png');
		// this.game.load.image('h', './image/phaser.png');

		this.game.load.image('phaser', './image/phaser.png');
		this.game.load.spritesheet('button', './image/button_basic.png', 200, 100);
		this.game.load.image('star', './image/star_particle.png');
		this.game.load.image('medal_gold', './image/medal_gold.png');
		this.game.load.image('medal_silver', './image/medal_silver.png');
		this.game.load.image('medal_bronze', './image/medal_bronze.png');

		this.game.load.start();
	},

	fileComplete: function(progress, cacheKey, success, totalLoaded, totalFiles) {
		this.preloadBar.alpha = progress / 100;

		// console.log('progress : ' + progress);

		/*
		text.setText("File Complete: " + progress + "% - " + totalLoaded + " out of " + totalFiles);

		var newImage = game.add.image(x, y, cacheKey);
		newImage.scale.set(0.3);

		x += newImage.width + 20;
		if (x > 700)
		{
			x = 32;
			y += 332;
		}
		*/
	},

	loadComplete: function(progress, cacheKey, success, totalLoaded, totalFiles) {
		this.preloadBar.alpha = 1;

		if(isReleaseMode()) {
			this.state.start('Login');
			return;
		}

		this.state.start('Login');
		// this.startMenu();
		// this.startTypingTestStage();
		// this.startTypingTestResult();
	},

	startMenu: function() {
		this.setupTestData();
		this.state.start('Menu');
	},

	startTypingTestStage: function() {
		this.setupTestData();
		this.state.start('TypingTestStage');
	},

	startTypingTestResult: function() {
		this.setupTestData();
		this.state.start('TypingTestResult');
	},

	setupTestData: function() {
		playerUserID = 1;
		playerName = "박지상";

		bestRecord = 300;
		typingRecordTotal = 400;
		playingStageData = new StageData(LANGUAGE_KOREAN, 1);
	}

}